Bug 576615 - RFE: add InstallPrinterDrivers D-Bus method for session service
RFE: add InstallPrinterDrivers D-Bus method for session service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 12:01 EDT by Tim Waugh
Modified: 2010-03-27 01:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: kpackagekit-0.6.0-2.fc13
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 01:03:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kpackagekit-InstallPrinterDrivers.patch (12.57 KB, patch)
2010-03-24 12:01 EDT, Tim Waugh
no flags Details | Diff
kpackagekit-0.6.0svn-InstallPrinterDrivers.patch (12.57 KB, patch)
2010-03-24 13:57 EDT, Kevin Kofler
no flags Details | Diff

  None (edit)
Description Tim Waugh 2010-03-24 12:01:57 EDT
Created attachment 402350 [details]
kpackagekit-InstallPrinterDrivers.patch

Description of problem:
The attached patch brings kpackagekit into line with gnome-packagekit as far as automatic printer driver installation support goes.

It simply adds a D-Bus method, InstallPrinterDrivers.

I have tested it locally.

Version-Release number of selected component (if applicable):
kpackagekit-0.6.0-0.8.20100301svn.fc13
Comment 1 Kevin Kofler 2010-03-24 13:42:39 EDT
I'm taking this.
Comment 2 Kevin Kofler 2010-03-24 13:49:21 EDT
The patch looks sane.

One note for efficiency: The one-character strings in PkInstallPrinterDrivers::start can probably all be characters, e.g. '_' instead of "_". QString::split, the second argument of QString::replace and QTextStream::operator<< all accept char or QChar.

We should also get this upstreamed.
Comment 3 Kevin Kofler 2010-03-24 13:57:01 EDT
Created attachment 402381 [details]
kpackagekit-0.6.0svn-InstallPrinterDrivers.patch

I have attached a version of the patch with characters instead of the 1-character strings. (Otherwise, it is identical to the original patch.) This is the version I'm going to apply and which should be sent upstream. (KDE's Krazy2 code checker is going to complain about the 1-character strings otherwise. ;-) )
Comment 4 Kevin Kofler 2010-03-24 14:36:15 EDT
Built for Rawhide, building for F-13, will queue for testing once built.

Thank you for the patch!
Comment 5 Fedora Update System 2010-03-24 15:34:44 EDT
kdeutils-4.4.1-2.fc13,kpackagekit-0.6.0-0.9.20100301svn.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kdeutils-4.4.1-2.fc13,kpackagekit-0.6.0-0.9.20100301svn.fc13
Comment 6 Fedora Update System 2010-03-25 18:32:29 EDT
kdeutils-4.4.1-2.fc13, kpackagekit-0.6.0-0.9.20100301svn.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kpackagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kdeutils-4.4.1-2.fc13,kpackagekit-0.6.0-0.9.20100301svn.fc13
Comment 7 Fedora Update System 2010-03-27 01:03:03 EDT
kdeutils-4.4.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Kevin Kofler 2010-03-27 01:29:38 EDT
This one is actually resolved by kpackagekit-0.6.0-2.fc13 which also went out to stable today.

Note You need to log in before you can comment on or make changes to this bug.